[arch-commits] Commit in mythbrowser/repos (extra-i686 extra-i686/PKGBUILD)

Eric Belanger eric at archlinux.org
Thu Jul 31 02:53:37 EDT 2008


    Date: Thursday, July 31, 2008 @ 02:53:36
  Author: eric
Revision: 7374

Merged revisions 2-7373 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/mythbrowser/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7372 | eric | 2008-07-31 02:15:27 -0400 (Thu, 31 Jul 2008) | 2 lines
  
  upgpkg: mythbrowser 0.21-2
      rebuilt against kdelibs3
........

Modified:
  mythbrowser/repos/extra-i686/	(properties)
  mythbrowser/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)


Property changes on: mythbrowser/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /mythbrowser/trunk:1
   + /mythbrowser/trunk:1-7373

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-31 06:15:45 UTC (rev 7373)
+++ extra-i686/PKGBUILD	2008-07-31 06:53:36 UTC (rev 7374)
@@ -4,29 +4,29 @@
 
 pkgname=mythbrowser
 pkgver=0.21
-pkgrel=1
+pkgrel=2
 pkgdesc="Mini web browser for MythTV"
 arch=('i686' 'x86_64')
 url="http://www.mythtv.org"
 license=('GPL')
-depends=("mythtv>=${pkgver}" 'wget' 'libxvmc' 'kdelibs')
+depends=("mythtv>=${pkgver}" 'wget' 'libxvmc' 'kdelibs3')
+groups=('mythtv-extras')
+options=('!makeflags')
 source=("http://www.mythtv.org/modules.php?name=Downloads&d_op=getit&lid=136&foo=/mythplugins-$pkgver.tar.bz2")
 md5sums=('6c08043227bef1384858deee12b5cdc3')
-groups=('mythtv-extras')
 
 build() {
    cd $startdir/src/mythplugins-${pkgver}
    . /etc/profile.d/qt3.sh
+   . /etc/profile.d/kde3.sh
 
-   # use QT3 qmake, kde-config
-   export PATH=$QTDIR/bin:/opt/kde/bin:$PATH
    sed -i 's#kde3#kde#' configure || return 1
    ./configure --prefix=/usr --enable-opengl --disable-all --enable-mythbrowser || return 1
  
    qmake mythplugins.pro || return 1
    make qmake || return 1
    sed -i 's#kde3#kde#' ./mythbrowser/mythbrowser/Makefile || return 1
-   make -j 2 || return 1
+   make || return 1
 
    make INSTALL_ROOT=$startdir/pkg install
 }





More information about the arch-commits mailing list